Ticket #205 (closed defect: fixed)

Opened 5 years ago

Last modified 4 years ago

chroot and privilege dropping is a mess

Reported by: jesus Assigned to: jesus
Priority: testing Milestone: Subterfuge
Component: noitd Severity: benign
Keywords: Cc:

Description

There are a large set of circular dependencies at work here, but it is damn near impossible to get these features to work right as they are implemented now. Logs are opened before privileges are dropped.

It appears that most of the issues revolve around logs.

Change History

10/29/09 15:34:31 changed by jesus

(In [1059]) fixes logfile ownership if -u/-g is specified, refs #205

10/29/09 18:12:52 changed by jesus

(In [1060]) fix the other user of this, refs #205

12/30/09 18:39:31 changed by jesus

  • priority changed from minor to testing.
  • severity changed from annoying to benign.
  • milestone changed from Intrigue to Subterfuge.

This appears to work... We'll leave it open to collect some real use-cases.

06/28/10 18:45:45 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.